App::ClusterSSH::Range(3)

SYNOPSIS
    use App::ClusterSSH::Range;
    my $range=App::ClusterSSH::Range->new();
    my @list = $range->expand('range{0..5}');

DESCRIPTION
Perform string expansion looking for ranges before then finishing off using "File::Glob::bsd_glob".

METHODS

$range = App::ClusterSSH::Range->new();
    Create a new object to perform range processing

@expanded = $range->expand(@strings);
    Expand the given strings. Ranges are checked for and processed. The resulting string is then put through File::Glob::bsd_glob before being returned.

    Ranges are of the form:

     base{start..stop}
     a{0..3} => a0 a1 a2 a3
     b{4..6,9,12..14} => b4 b5 b6 b9 b12 b13 b14